%% Tower Crane With Trolley and Hoist
%
% This example models a tower crane with a trolley and a hoist.  The hoist
% can raise and lower a load, and the trolley moves the load towards and
% away from the tower.  Blocks from the belts and cables library are used
% to model the pulleys that control lifting the load and moving the
% trolley. 
%
% Copyright 2018 The MathWorks, Inc.



%% Model

open_system('sm_tower_crane_hoist')

set_param(find_system('sm_tower_crane_hoist','FindAll', 'on','type','annotation','Tag','ModelFeatures'),'Interpreter','off')

%% Tower Crane Subsystem
%
% <matlab:open_system('sm_tower_crane_hoist');open_system('sm_tower_crane_hoist/Tower%20Crane','force'); Open Subsystem>

set_param('sm_tower_crane_hoist/Tower Crane','LinkStatus','none')
open_system('sm_tower_crane_hoist/Tower Crane','force')

%% Trolley Pulleys Subsystem
%
% <matlab:open_system('sm_tower_crane_hoist');open_system('sm_tower_crane_hoist/Tower%20Crane/Trolley%20Pulleys','force'); Open Subsystem>

set_param('sm_tower_crane_hoist/Tower Crane/Trolley Pulleys','LinkStatus','none')
open_system('sm_tower_crane_hoist/Tower Crane/Trolley Pulleys','force')

%% Hoist Pulleys Subsystem
%
% <matlab:open_system('sm_tower_crane_hoist');open_system('sm_tower_crane_hoist/Tower%20Crane/Hoist%20Pulleys','force'); Open Subsystem>

set_param('sm_tower_crane_hoist/Tower Crane/Hoist Pulleys','LinkStatus','none')
open_system('sm_tower_crane_hoist/Tower Crane/Hoist Pulleys','force')

%% Simulation Results from Simscape Logging
%%
%
% The plot below shows the load height and the torque applied to the hoist
% drum.
%


sm_tower_crane_hoist_plot1hoist;

%%

%clear all
close all
bdclose all
