%% Block and Tackle with Four Pulleys
% 
% This example models a block and tackle with four pulleys.  Torque is
% applied to a winch which acts through the pulley mechanism to lift a
% load.  Blocks from the Simscape Multibody Belts and Cables library are
% used to model the block and tackle.
%
% Copyright 2018 The MathWorks, Inc.



%% Model

open_system('sm_block_and_tackle')

set_param(find_system('sm_block_and_tackle','FindAll', 'on','type','annotation','Tag','ModelFeatures'),'Interpreter','off')

%% Pulleys Subsystem
%
% <matlab:open_system('sm_block_and_tackle');open_system('sm_block_and_tackle/Pulleys','force'); Open Subsystem>

set_param('sm_block_and_tackle/Pulleys','LinkStatus','none')
open_system('sm_block_and_tackle/Pulleys','force')

%% Simulation Results from Simscape Logging
%%
%
% The plot below shows the torque applied to the winch and the vertical
% speed of the load. Note that for the first second, no torque is applied
% to the winch, but the load still moves due to gravity.
%


sm_block_and_tackle_plot1spd;

%%

%clear all
close all
bdclose all
