%% Pulley Mechanism Right Angle Drive
% 
% This example models a pulley mechanism that takes a torque applied to a
% winch and transmits it to a pulley rotated at 90 degrees to that winch.
% This example uses blocks from the Simscape Multibody Belts and Cables
% library to model a pulley mechanism that is not all in a single plane.
%
% Copyright 2018 The MathWorks, Inc.



%% Model

open_system('sm_pulley_drive_right_angle')

set_param(find_system('sm_pulley_drive_right_angle','FindAll', 'on','type','annotation','Tag','ModelFeatures'),'Interpreter','off')

%% Pulleys Subsystem
%
% <matlab:open_system('sm_pulley_drive_right_angle');open_system('sm_pulley_drive_right_angle/Pulleys','force'); Open Subsystem>

set_param('sm_pulley_drive_right_angle/Pulleys','LinkStatus','none')
open_system('sm_pulley_drive_right_angle/Pulleys','force')

%% Simulation Results from Simscape Logging
%%
%
% The plot below shows the torque applied to the winch and the speed
% of the winch. Note that for the first second, no torque is applied
% to the winch, but the load still moves due to gravity.
%


sm_pulley_drive_right_angle_plot1spd;

%%

%clear all
close all
bdclose all
