%% Simscape Multibody Belts and Pulleys Examples
%
% Below are examples of belt and pulley mechanisms modeled in Simscape
% Multibody. They use the new library added in R2018a.
%
% <html>
% <tr><b><u>Simple Examples </u></b><br>
% <tr>1. Pulley Pair using Gear Constraint: <a href="matlab:cd([BPE_HomeDir filesep 'Examples' filesep 'Simple' filesep '01_Gear_Constraint']);open_system('sm_pulley_gear_constraint.slx');"> Model</a>, <a href="matlab:Belts_Pulleys_winopen_file('sm_pulley_gear_constraint_mechExpAnim.mp4');">Animation</a><br>
% <tr>2. Block and Tackle: <a href="matlab:cd([BPE_HomeDir filesep 'Examples' filesep 'Simple' filesep '02_Block_Tackle']);startup_sm_block_and_tackle;"> Model</a>, <a href="matlab:Belts_Pulleys_webopen_file('sm_block_and_tackle.html');">Documentation</a>, <a href="matlab:Belts_Pulleys_winopen_file('sm_block_and_tackle_mechExpAnim_3View.mp4');">Animation</a><br>
% <tr>3. Right Angle Drive: <a href="matlab:cd([BPE_HomeDir filesep 'Examples' filesep 'Simple' filesep '03_Drive_Right_Angle']);startup_sm_pulley_drive_right_angle;"> Model, <a href="matlab:Belts_Pulleys_webopen_file('sm_pulley_drive_right_angle.html');">Documentation</a>, <a href="matlab:Belts_Pulleys_winopen_file('sm_pulley_drive_right_angle_mechExpAnim.mp4');">Animation</a><br>
% <tr><br>
% <tr><b><u>Applications </u></b><br>
% <tr>1. Tower Crane with Trolley and Hoist: <a href="matlab:cd([BPE_HomeDir filesep 'Examples' filesep 'Applications' filesep 'Tower_Crane']);startup_sm_tower_crane_hoist;"> Model</a>, <a href="matlab:Belts_Pulleys_webopen_file('sm_tower_crane_hoist.html');">Documentation</a>, <a href="matlab:Belts_Pulleys_winopen_file('sm_tower_crane_hoist_mechExpAnim_3View.mp4');">Animation</a><br>
% <tr>2. Cable-Driven XY Table with Cross Base: <a href="matlab:cd([BPE_HomeDir filesep 'Examples' filesep 'Applications' filesep 'XY_Table_Cross']);startup_sm_pulleys_xytable_cross;"> Model</a>, <a href="matlab:Belts_Pulleys_webopen_file('sm_pulleys_xytable_cross.html');">Documentation</a>, <a href="matlab:Belts_Pulleys_winopen_file('sm_pulleys_xytable_cross_mechExpAnim.mp4');">Animation</a><br>
% </html>
% 
% Copyright 2017-2018 The MathWorks(TM), Inc.
